summaryrefslogtreecommitdiffstats
path: root/tools/scons/files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2012-05-15 20:04:07 +0000
committerJo-Philipp Wich <jow@openwrt.org>2012-05-15 20:04:07 +0000
commitc33b01fa0ea4237e33e303c6173ec06758040056 (patch)
tree379f9b2c84a2c722cc40fb502ee166c1a2b6cb32 /tools/scons/files
parentd3a21c192baf6fa2f6d9212efd156639bd922f51 (diff)
downloadmaster-31e0f0ae-c33b01fa0ea4237e33e303c6173ec06758040056.tar.gz
master-31e0f0ae-c33b01fa0ea4237e33e303c6173ec06758040056.tar.bz2
master-31e0f0ae-c33b01fa0ea4237e33e303c6173ec06758040056.zip
scons: wrap python invocations with helper script that attempts to find a non-3.x python
SVN-Revision: 31742
Diffstat (limited to 'tools/scons/files')
-rwxr-xr-xtools/scons/files/pywrap.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/scons/files/pywrap.sh b/tools/scons/files/pywrap.sh
new file mode 100755
index 0000000000..336ea21c19
--- /dev/null
+++ b/tools/scons/files/pywrap.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+case "${0##*/}" in
+ pywrap.sh) arg1="";;
+ *) arg1="$0.py" ;;
+esac
+
+for bin in python2.7 python2.6 python2.5 python2.4 python2 python; do
+ case "$($bin -V 2>&1)" in
+ "Python 2"*) exec $bin $arg1 "$@" ;;
+ esac
+done
+
+echo "Unable to find a Python 2.x interpreter for executing ${arg1:+$arg1 }$@ !" >&2
+exit 1